package com.fs.his.service;

import java.util.List;
import com.fs.his.domain.FsHealthData;
import com.fs.his.param.FsHealthDataParam;
import com.fs.his.param.FsHealthDataUParam;
import com.fs.his.vo.FsHealthDataListUVO;
import com.fs.his.vo.FsHealthDataListVO;

/**
 * 健康数据Service接口
 *
 * @author fs
 * @date 2024-09-02
 */
public interface IFsHealthDataService
{
    /**
     * 查询健康数据
     *
     * @param id 健康数据主键
     * @return 健康数据
     */
    public FsHealthData selectFsHealthDataById(Long id);

    /**
     * 查询健康数据列表
     *
     * @param fsHealthData 健康数据
     * @return 健康数据集合
     */
    public List<FsHealthData> selectFsHealthDataList(FsHealthData fsHealthData);

    /**
     * 新增健康数据
     *
     * @param fsHealthData 健康数据
     * @return 结果
     */
    public int insertFsHealthData(FsHealthData fsHealthData);

    /**
     * 修改健康数据
     *
     * @param fsHealthData 健康数据
     * @return 结果
     */
    public int updateFsHealthData(FsHealthData fsHealthData);

    /**
     * 批量删除健康数据
     *
     * @param ids 需要删除的健康数据主键集合
     * @return 结果
     */
    public int deleteFsHealthDataByIds(Long[] ids);

    /**
     * 删除健康数据信息
     *
     * @param id 健康数据主键
     * @return 结果
     */
    public int deleteFsHealthDataById(Long id);

    List<FsHealthDataListUVO> selectFsHealthDataListUVO(FsHealthDataUParam param);

    List<FsHealthDataListVO> selectFsHealthDataListVO(FsHealthDataParam fsHealthData);
}
